<!doctype html>

<html>
<head>
  <link rel="shortcut icon" href="static/images/favicon.ico" type="image/x-icon">
  <title>ordinalrules.js (Closure Library API Documentation - JavaScript)</title>
  <link rel="stylesheet" href="static/css/base.css">
  <link rel="stylesheet" href="static/css/doc.css">
  <link rel="stylesheet" href="static/css/sidetree.css">
  <link rel="stylesheet" href="static/css/prettify.css">

  <script>
     var _staticFilePath = "static/";
     var _typeTreeName = "goog";
     var _fileTreeName = "Source";
  </script>

  <script src="static/js/doc.js">
  </script>


  <meta charset="utf8">
</head>

<body onload="grokdoc.onLoad();">

<div id="header">
  <div class="g-section g-tpl-50-50 g-split">
    <div class="g-unit g-first">
      <a id="logo" href="index.html">Closure Library API Documentation</a>
    </div>

    <div class="g-unit">
      <div class="g-c">
        <strong>Go to class or file:</strong>
        <input type="text" id="ac">
      </div>
    </div>
  </div>
</div>

<div class="clear"></div>

<h2><a href="local_closure_goog_i18n_ordinalrules.js.html">ordinalrules.js</a></h2>

<pre class="prettyprint lang-js">
<a name="line1"></a>// Copyright 2012 The Closure Library Authors. All Rights Reserved.
<a name="line2"></a>//
<a name="line3"></a>// Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
<a name="line4"></a>// you may not use this file except in compliance with the License.
<a name="line5"></a>// You may obtain a copy of the License at
<a name="line6"></a>//
<a name="line7"></a>//      http://www.apache.org/licenses/LICENSE-2.0
<a name="line8"></a>//
<a name="line9"></a>// Unless required by applicable law or agreed to in writing, software
<a name="line10"></a>// distributed under the License is distributed on an &quot;AS-IS&quot; BASIS,
<a name="line11"></a>// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
<a name="line12"></a>// See the License for the specific language governing permissions and
<a name="line13"></a>// limitations under the License.
<a name="line14"></a>
<a name="line15"></a>/**
<a name="line16"></a> * @fileoverview Ordinal rules.
<a name="line17"></a> *
<a name="line18"></a> * This file is autogenerated by script:
<a name="line19"></a> *   http://go/generate_pluralrules.py
<a name="line20"></a> * File generated from CLDR ver. 24
<a name="line21"></a> *
<a name="line22"></a> * Before check in, this file could have been manually edited. This is to
<a name="line23"></a> * incorporate changes before we could fix CLDR. All manual modification must be
<a name="line24"></a> * documented in this section, and should be removed after those changes land to
<a name="line25"></a> * CLDR.
<a name="line26"></a> */
<a name="line27"></a>
<a name="line28"></a>goog.provide(&#39;goog.i18n.ordinalRules&#39;);
<a name="line29"></a>/**
<a name="line30"></a> * Ordinal pattern keyword
<a name="line31"></a> * @enum {string}
<a name="line32"></a> */
<a name="line33"></a>goog.i18n.ordinalRules.Keyword = {
<a name="line34"></a>  ZERO: &#39;zero&#39;,
<a name="line35"></a>  ONE: &#39;one&#39;,
<a name="line36"></a>  TWO: &#39;two&#39;,
<a name="line37"></a>  FEW: &#39;few&#39;,
<a name="line38"></a>  MANY: &#39;many&#39;,
<a name="line39"></a>  OTHER: &#39;other&#39;
<a name="line40"></a>};
<a name="line41"></a>
<a name="line42"></a>
<a name="line43"></a>/**
<a name="line44"></a> * Default Ordinal select rule.
<a name="line45"></a> * @param {number} n The count of items.
<a name="line46"></a> * @param {number=} opt_precision optional, precision.
<a name="line47"></a> * @return {goog.i18n.ordinalRules.Keyword} Default value.
<a name="line48"></a> * @private
<a name="line49"></a> */
<a name="line50"></a>goog.i18n.ordinalRules.defaultSelect_ = function(n, opt_precision) {
<a name="line51"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line52"></a>};
<a name="line53"></a>
<a name="line54"></a>/**
<a name="line55"></a> * Returns the fractional part of a number (3.1416 =&gt; 1416)
<a name="line56"></a> * @param {number} n The count of items.
<a name="line57"></a> * @return {number} The fractional part.
<a name="line58"></a> * @private
<a name="line59"></a> */
<a name="line60"></a>goog.i18n.ordinalRules.decimals_ = function(n) {
<a name="line61"></a>  var str = n + &#39;&#39;;
<a name="line62"></a>  var result = str.indexOf(&#39;.&#39;);
<a name="line63"></a>  return (result == -1) ? 0 : str.length - result - 1;
<a name="line64"></a>};
<a name="line65"></a>
<a name="line66"></a>/**
<a name="line67"></a> * Calculates v and f as per CLDR plural rules.
<a name="line68"></a> * The short names for parameters / return match the CLDR syntax and UTS #35
<a name="line69"></a> *     (http://unicode.org/reports/tr35/tr35-numbers.html#Plural_rules_syntax)
<a name="line70"></a> * @param {number} n The count of items.
<a name="line71"></a> * @param {number=} opt_precision optional, precision.
<a name="line72"></a> * @return {!Object} The v and f.
<a name="line73"></a> * @private
<a name="line74"></a> */
<a name="line75"></a>goog.i18n.ordinalRules.get_vf_ = function(n, opt_precision) {
<a name="line76"></a>  var DEFAULT_DIGITS = 3;
<a name="line77"></a>
<a name="line78"></a>  if (undefined === opt_precision) {
<a name="line79"></a>    var v = Math.min(goog.i18n.ordinalRules.decimals_(n), DEFAULT_DIGITS);
<a name="line80"></a>  } else {
<a name="line81"></a>    var v = opt_precision;
<a name="line82"></a>  }
<a name="line83"></a>
<a name="line84"></a>  var base = Math.pow(10, v);
<a name="line85"></a>  var f = ((n * base) | 0) % base;
<a name="line86"></a>
<a name="line87"></a>  return {v: v, f: f};
<a name="line88"></a>};
<a name="line89"></a>
<a name="line90"></a>/**
<a name="line91"></a> * Calculates w and t as per CLDR plural rules.
<a name="line92"></a> * The short names for parameters / return match the CLDR syntax and UTS #35
<a name="line93"></a> *     (http://unicode.org/reports/tr35/tr35-numbers.html#Plural_rules_syntax)
<a name="line94"></a> * @param {number} v Calculated previously.
<a name="line95"></a> * @param {number} f Calculated previously.
<a name="line96"></a> * @return {!Object} The w and t.
<a name="line97"></a> * @private
<a name="line98"></a> */
<a name="line99"></a>goog.i18n.ordinalRules.get_wt_ = function(v, f) {
<a name="line100"></a>  if (f === 0) {
<a name="line101"></a>    return {w: 0, t: 0};
<a name="line102"></a>  }
<a name="line103"></a>
<a name="line104"></a>  while ((f % 10) === 0) {
<a name="line105"></a>    f /= 10;
<a name="line106"></a>    v--;
<a name="line107"></a>  }
<a name="line108"></a>
<a name="line109"></a>  return {w: v, t: f};
<a name="line110"></a>};
<a name="line111"></a>
<a name="line112"></a>/**
<a name="line113"></a> * Ordinal select rules for en locale
<a name="line114"></a> *
<a name="line115"></a> * @param {number} n  The count of items.
<a name="line116"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line117"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line118"></a> * @private
<a name="line119"></a> */
<a name="line120"></a>goog.i18n.ordinalRules.enSelect_ = function(n, opt_precision) {
<a name="line121"></a>  if (n % 10 == 1 &amp;&amp; n % 100 != 11) {
<a name="line122"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line123"></a>  }
<a name="line124"></a>  if (n % 10 == 2 &amp;&amp; n % 100 != 12) {
<a name="line125"></a>    return goog.i18n.ordinalRules.Keyword.TWO;
<a name="line126"></a>  }
<a name="line127"></a>  if (n % 10 == 3 &amp;&amp; n % 100 != 13) {
<a name="line128"></a>    return goog.i18n.ordinalRules.Keyword.FEW;
<a name="line129"></a>  }
<a name="line130"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line131"></a>};
<a name="line132"></a>
<a name="line133"></a>/**
<a name="line134"></a> * Ordinal select rules for sv locale
<a name="line135"></a> *
<a name="line136"></a> * @param {number} n  The count of items.
<a name="line137"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line138"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line139"></a> * @private
<a name="line140"></a> */
<a name="line141"></a>goog.i18n.ordinalRules.svSelect_ = function(n, opt_precision) {
<a name="line142"></a>  if ((n % 10 == 1 || n % 10 == 2) &amp;&amp; n % 100 != 11 &amp;&amp; n % 100 != 12) {
<a name="line143"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line144"></a>  }
<a name="line145"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line146"></a>};
<a name="line147"></a>
<a name="line148"></a>/**
<a name="line149"></a> * Ordinal select rules for fr locale
<a name="line150"></a> *
<a name="line151"></a> * @param {number} n  The count of items.
<a name="line152"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line153"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line154"></a> * @private
<a name="line155"></a> */
<a name="line156"></a>goog.i18n.ordinalRules.frSelect_ = function(n, opt_precision) {
<a name="line157"></a>  if (n == 1) {
<a name="line158"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line159"></a>  }
<a name="line160"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line161"></a>};
<a name="line162"></a>
<a name="line163"></a>/**
<a name="line164"></a> * Ordinal select rules for hu locale
<a name="line165"></a> *
<a name="line166"></a> * @param {number} n  The count of items.
<a name="line167"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line168"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line169"></a> * @private
<a name="line170"></a> */
<a name="line171"></a>goog.i18n.ordinalRules.huSelect_ = function(n, opt_precision) {
<a name="line172"></a>  if (n == 1 || n == 5) {
<a name="line173"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line174"></a>  }
<a name="line175"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line176"></a>};
<a name="line177"></a>
<a name="line178"></a>/**
<a name="line179"></a> * Ordinal select rules for zu locale
<a name="line180"></a> *
<a name="line181"></a> * @param {number} n  The count of items.
<a name="line182"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line183"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line184"></a> * @private
<a name="line185"></a> */
<a name="line186"></a>goog.i18n.ordinalRules.zuSelect_ = function(n, opt_precision) {
<a name="line187"></a>  if (n == 1) {
<a name="line188"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line189"></a>  }
<a name="line190"></a>  if (n &gt;= 2 &amp;&amp; n &lt;= 9) {
<a name="line191"></a>    return goog.i18n.ordinalRules.Keyword.FEW;
<a name="line192"></a>  }
<a name="line193"></a>  if (n &gt;= 10 &amp;&amp; n &lt;= 19 || n &gt;= 100 &amp;&amp; n &lt;= 199 || n &gt;= 1000 &amp;&amp; n &lt;= 1999) {
<a name="line194"></a>    return goog.i18n.ordinalRules.Keyword.MANY;
<a name="line195"></a>  }
<a name="line196"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line197"></a>};
<a name="line198"></a>
<a name="line199"></a>/**
<a name="line200"></a> * Ordinal select rules for mr locale
<a name="line201"></a> *
<a name="line202"></a> * @param {number} n  The count of items.
<a name="line203"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line204"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line205"></a> * @private
<a name="line206"></a> */
<a name="line207"></a>goog.i18n.ordinalRules.mrSelect_ = function(n, opt_precision) {
<a name="line208"></a>  if (n == 1) {
<a name="line209"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line210"></a>  }
<a name="line211"></a>  if (n == 2 || n == 3) {
<a name="line212"></a>    return goog.i18n.ordinalRules.Keyword.TWO;
<a name="line213"></a>  }
<a name="line214"></a>  if (n == 4) {
<a name="line215"></a>    return goog.i18n.ordinalRules.Keyword.FEW;
<a name="line216"></a>  }
<a name="line217"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line218"></a>};
<a name="line219"></a>
<a name="line220"></a>/**
<a name="line221"></a> * Ordinal select rules for ca locale
<a name="line222"></a> *
<a name="line223"></a> * @param {number} n  The count of items.
<a name="line224"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line225"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line226"></a> * @private
<a name="line227"></a> */
<a name="line228"></a>goog.i18n.ordinalRules.caSelect_ = function(n, opt_precision) {
<a name="line229"></a>  if (n == 1 || n == 3) {
<a name="line230"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line231"></a>  }
<a name="line232"></a>  if (n == 2) {
<a name="line233"></a>    return goog.i18n.ordinalRules.Keyword.TWO;
<a name="line234"></a>  }
<a name="line235"></a>  if (n == 4) {
<a name="line236"></a>    return goog.i18n.ordinalRules.Keyword.FEW;
<a name="line237"></a>  }
<a name="line238"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line239"></a>};
<a name="line240"></a>
<a name="line241"></a>/**
<a name="line242"></a> * Ordinal select rules for bn locale
<a name="line243"></a> *
<a name="line244"></a> * @param {number} n  The count of items.
<a name="line245"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line246"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line247"></a> * @private
<a name="line248"></a> */
<a name="line249"></a>goog.i18n.ordinalRules.bnSelect_ = function(n, opt_precision) {
<a name="line250"></a>  if (n == 1 || n == 5 || n == 7 || n == 8 || n == 9 || n == 10) {
<a name="line251"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line252"></a>  }
<a name="line253"></a>  if (n == 2 || n == 3) {
<a name="line254"></a>    return goog.i18n.ordinalRules.Keyword.TWO;
<a name="line255"></a>  }
<a name="line256"></a>  if (n == 4) {
<a name="line257"></a>    return goog.i18n.ordinalRules.Keyword.FEW;
<a name="line258"></a>  }
<a name="line259"></a>  if (n == 6) {
<a name="line260"></a>    return goog.i18n.ordinalRules.Keyword.MANY;
<a name="line261"></a>  }
<a name="line262"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line263"></a>};
<a name="line264"></a>
<a name="line265"></a>/**
<a name="line266"></a> * Ordinal select rules for it locale
<a name="line267"></a> *
<a name="line268"></a> * @param {number} n  The count of items.
<a name="line269"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line270"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line271"></a> * @private
<a name="line272"></a> */
<a name="line273"></a>goog.i18n.ordinalRules.itSelect_ = function(n, opt_precision) {
<a name="line274"></a>  if (n == 11 || n == 8 || n == 80 || n == 800) {
<a name="line275"></a>    return goog.i18n.ordinalRules.Keyword.MANY;
<a name="line276"></a>  }
<a name="line277"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line278"></a>};
<a name="line279"></a>
<a name="line280"></a>/**
<a name="line281"></a> * Ordinal select rules for gu locale
<a name="line282"></a> *
<a name="line283"></a> * @param {number} n  The count of items.
<a name="line284"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line285"></a> * @return {goog.i18n.ordinalRules.Keyword} Locale-specific ordinal value.
<a name="line286"></a> * @private
<a name="line287"></a> */
<a name="line288"></a>goog.i18n.ordinalRules.guSelect_ = function(n, opt_precision) {
<a name="line289"></a>  if (n == 1) {
<a name="line290"></a>    return goog.i18n.ordinalRules.Keyword.ONE;
<a name="line291"></a>  }
<a name="line292"></a>  if (n == 2 || n == 3) {
<a name="line293"></a>    return goog.i18n.ordinalRules.Keyword.TWO;
<a name="line294"></a>  }
<a name="line295"></a>  if (n == 4) {
<a name="line296"></a>    return goog.i18n.ordinalRules.Keyword.FEW;
<a name="line297"></a>  }
<a name="line298"></a>  if (n == 6) {
<a name="line299"></a>    return goog.i18n.ordinalRules.Keyword.MANY;
<a name="line300"></a>  }
<a name="line301"></a>  return goog.i18n.ordinalRules.Keyword.OTHER;
<a name="line302"></a>};
<a name="line303"></a>
<a name="line304"></a>/**
<a name="line305"></a> * Selected Ordinal rules by locale.
<a name="line306"></a> */
<a name="line307"></a>goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line308"></a>if (goog.LOCALE == &#39;af&#39;) {
<a name="line309"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line310"></a>}
<a name="line311"></a>if (goog.LOCALE == &#39;am&#39;) {
<a name="line312"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line313"></a>}
<a name="line314"></a>if (goog.LOCALE == &#39;ar&#39;) {
<a name="line315"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line316"></a>}
<a name="line317"></a>if (goog.LOCALE == &#39;az&#39;) {
<a name="line318"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line319"></a>}
<a name="line320"></a>if (goog.LOCALE == &#39;bg&#39;) {
<a name="line321"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line322"></a>}
<a name="line323"></a>if (goog.LOCALE == &#39;bn&#39;) {
<a name="line324"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.bnSelect_;
<a name="line325"></a>}
<a name="line326"></a>if (goog.LOCALE == &#39;br&#39;) {
<a name="line327"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line328"></a>}
<a name="line329"></a>if (goog.LOCALE == &#39;ca&#39;) {
<a name="line330"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.caSelect_;
<a name="line331"></a>}
<a name="line332"></a>if (goog.LOCALE == &#39;chr&#39;) {
<a name="line333"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line334"></a>}
<a name="line335"></a>if (goog.LOCALE == &#39;cs&#39;) {
<a name="line336"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line337"></a>}
<a name="line338"></a>if (goog.LOCALE == &#39;cy&#39;) {
<a name="line339"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line340"></a>}
<a name="line341"></a>if (goog.LOCALE == &#39;da&#39;) {
<a name="line342"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line343"></a>}
<a name="line344"></a>if (goog.LOCALE == &#39;de&#39;) {
<a name="line345"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line346"></a>}
<a name="line347"></a>if (goog.LOCALE == &#39;de_AT&#39; || goog.LOCALE == &#39;de-AT&#39;) {
<a name="line348"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line349"></a>}
<a name="line350"></a>if (goog.LOCALE == &#39;de_CH&#39; || goog.LOCALE == &#39;de-CH&#39;) {
<a name="line351"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line352"></a>}
<a name="line353"></a>if (goog.LOCALE == &#39;el&#39;) {
<a name="line354"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line355"></a>}
<a name="line356"></a>if (goog.LOCALE == &#39;en&#39;) {
<a name="line357"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line358"></a>}
<a name="line359"></a>if (goog.LOCALE == &#39;en_AU&#39; || goog.LOCALE == &#39;en-AU&#39;) {
<a name="line360"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line361"></a>}
<a name="line362"></a>if (goog.LOCALE == &#39;en_GB&#39; || goog.LOCALE == &#39;en-GB&#39;) {
<a name="line363"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line364"></a>}
<a name="line365"></a>if (goog.LOCALE == &#39;en_IE&#39; || goog.LOCALE == &#39;en-IE&#39;) {
<a name="line366"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line367"></a>}
<a name="line368"></a>if (goog.LOCALE == &#39;en_IN&#39; || goog.LOCALE == &#39;en-IN&#39;) {
<a name="line369"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line370"></a>}
<a name="line371"></a>if (goog.LOCALE == &#39;en_ISO&#39; || goog.LOCALE == &#39;en-ISO&#39;) {
<a name="line372"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line373"></a>}
<a name="line374"></a>if (goog.LOCALE == &#39;en_SG&#39; || goog.LOCALE == &#39;en-SG&#39;) {
<a name="line375"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line376"></a>}
<a name="line377"></a>if (goog.LOCALE == &#39;en_US&#39; || goog.LOCALE == &#39;en-US&#39;) {
<a name="line378"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line379"></a>}
<a name="line380"></a>if (goog.LOCALE == &#39;en_ZA&#39; || goog.LOCALE == &#39;en-ZA&#39;) {
<a name="line381"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.enSelect_;
<a name="line382"></a>}
<a name="line383"></a>if (goog.LOCALE == &#39;es&#39;) {
<a name="line384"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line385"></a>}
<a name="line386"></a>if (goog.LOCALE == &#39;es_419&#39; || goog.LOCALE == &#39;es-419&#39;) {
<a name="line387"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line388"></a>}
<a name="line389"></a>if (goog.LOCALE == &#39;es_ES&#39; || goog.LOCALE == &#39;es-ES&#39;) {
<a name="line390"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line391"></a>}
<a name="line392"></a>if (goog.LOCALE == &#39;et&#39;) {
<a name="line393"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line394"></a>}
<a name="line395"></a>if (goog.LOCALE == &#39;eu&#39;) {
<a name="line396"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line397"></a>}
<a name="line398"></a>if (goog.LOCALE == &#39;fa&#39;) {
<a name="line399"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line400"></a>}
<a name="line401"></a>if (goog.LOCALE == &#39;fi&#39;) {
<a name="line402"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line403"></a>}
<a name="line404"></a>if (goog.LOCALE == &#39;fil&#39;) {
<a name="line405"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line406"></a>}
<a name="line407"></a>if (goog.LOCALE == &#39;fr&#39;) {
<a name="line408"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line409"></a>}
<a name="line410"></a>if (goog.LOCALE == &#39;fr_CA&#39; || goog.LOCALE == &#39;fr-CA&#39;) {
<a name="line411"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line412"></a>}
<a name="line413"></a>if (goog.LOCALE == &#39;gl&#39;) {
<a name="line414"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line415"></a>}
<a name="line416"></a>if (goog.LOCALE == &#39;gsw&#39;) {
<a name="line417"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line418"></a>}
<a name="line419"></a>if (goog.LOCALE == &#39;gu&#39;) {
<a name="line420"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.guSelect_;
<a name="line421"></a>}
<a name="line422"></a>if (goog.LOCALE == &#39;haw&#39;) {
<a name="line423"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line424"></a>}
<a name="line425"></a>if (goog.LOCALE == &#39;he&#39;) {
<a name="line426"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line427"></a>}
<a name="line428"></a>if (goog.LOCALE == &#39;hi&#39;) {
<a name="line429"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.guSelect_;
<a name="line430"></a>}
<a name="line431"></a>if (goog.LOCALE == &#39;hr&#39;) {
<a name="line432"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line433"></a>}
<a name="line434"></a>if (goog.LOCALE == &#39;hu&#39;) {
<a name="line435"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.huSelect_;
<a name="line436"></a>}
<a name="line437"></a>if (goog.LOCALE == &#39;hy&#39;) {
<a name="line438"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line439"></a>}
<a name="line440"></a>if (goog.LOCALE == &#39;id&#39;) {
<a name="line441"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line442"></a>}
<a name="line443"></a>if (goog.LOCALE == &#39;in&#39;) {
<a name="line444"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line445"></a>}
<a name="line446"></a>if (goog.LOCALE == &#39;is&#39;) {
<a name="line447"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line448"></a>}
<a name="line449"></a>if (goog.LOCALE == &#39;it&#39;) {
<a name="line450"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.itSelect_;
<a name="line451"></a>}
<a name="line452"></a>if (goog.LOCALE == &#39;iw&#39;) {
<a name="line453"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line454"></a>}
<a name="line455"></a>if (goog.LOCALE == &#39;ja&#39;) {
<a name="line456"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line457"></a>}
<a name="line458"></a>if (goog.LOCALE == &#39;ka&#39;) {
<a name="line459"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line460"></a>}
<a name="line461"></a>if (goog.LOCALE == &#39;kk&#39;) {
<a name="line462"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line463"></a>}
<a name="line464"></a>if (goog.LOCALE == &#39;km&#39;) {
<a name="line465"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line466"></a>}
<a name="line467"></a>if (goog.LOCALE == &#39;kn&#39;) {
<a name="line468"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line469"></a>}
<a name="line470"></a>if (goog.LOCALE == &#39;ko&#39;) {
<a name="line471"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line472"></a>}
<a name="line473"></a>if (goog.LOCALE == &#39;ky&#39;) {
<a name="line474"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line475"></a>}
<a name="line476"></a>if (goog.LOCALE == &#39;ln&#39;) {
<a name="line477"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line478"></a>}
<a name="line479"></a>if (goog.LOCALE == &#39;lo&#39;) {
<a name="line480"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line481"></a>}
<a name="line482"></a>if (goog.LOCALE == &#39;lt&#39;) {
<a name="line483"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line484"></a>}
<a name="line485"></a>if (goog.LOCALE == &#39;lv&#39;) {
<a name="line486"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line487"></a>}
<a name="line488"></a>if (goog.LOCALE == &#39;mk&#39;) {
<a name="line489"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line490"></a>}
<a name="line491"></a>if (goog.LOCALE == &#39;ml&#39;) {
<a name="line492"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line493"></a>}
<a name="line494"></a>if (goog.LOCALE == &#39;mn&#39;) {
<a name="line495"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line496"></a>}
<a name="line497"></a>if (goog.LOCALE == &#39;mo&#39;) {
<a name="line498"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line499"></a>}
<a name="line500"></a>if (goog.LOCALE == &#39;mr&#39;) {
<a name="line501"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.mrSelect_;
<a name="line502"></a>}
<a name="line503"></a>if (goog.LOCALE == &#39;ms&#39;) {
<a name="line504"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line505"></a>}
<a name="line506"></a>if (goog.LOCALE == &#39;mt&#39;) {
<a name="line507"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line508"></a>}
<a name="line509"></a>if (goog.LOCALE == &#39;my&#39;) {
<a name="line510"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line511"></a>}
<a name="line512"></a>if (goog.LOCALE == &#39;nb&#39;) {
<a name="line513"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line514"></a>}
<a name="line515"></a>if (goog.LOCALE == &#39;ne&#39;) {
<a name="line516"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line517"></a>}
<a name="line518"></a>if (goog.LOCALE == &#39;nl&#39;) {
<a name="line519"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line520"></a>}
<a name="line521"></a>if (goog.LOCALE == &#39;no&#39;) {
<a name="line522"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line523"></a>}
<a name="line524"></a>if (goog.LOCALE == &#39;no_NO&#39; || goog.LOCALE == &#39;no-NO&#39;) {
<a name="line525"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line526"></a>}
<a name="line527"></a>if (goog.LOCALE == &#39;or&#39;) {
<a name="line528"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line529"></a>}
<a name="line530"></a>if (goog.LOCALE == &#39;pa&#39;) {
<a name="line531"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line532"></a>}
<a name="line533"></a>if (goog.LOCALE == &#39;pl&#39;) {
<a name="line534"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line535"></a>}
<a name="line536"></a>if (goog.LOCALE == &#39;pt&#39;) {
<a name="line537"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line538"></a>}
<a name="line539"></a>if (goog.LOCALE == &#39;pt_BR&#39; || goog.LOCALE == &#39;pt-BR&#39;) {
<a name="line540"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line541"></a>}
<a name="line542"></a>if (goog.LOCALE == &#39;pt_PT&#39; || goog.LOCALE == &#39;pt-PT&#39;) {
<a name="line543"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line544"></a>}
<a name="line545"></a>if (goog.LOCALE == &#39;ro&#39;) {
<a name="line546"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line547"></a>}
<a name="line548"></a>if (goog.LOCALE == &#39;ru&#39;) {
<a name="line549"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line550"></a>}
<a name="line551"></a>if (goog.LOCALE == &#39;sh&#39;) {
<a name="line552"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line553"></a>}
<a name="line554"></a>if (goog.LOCALE == &#39;si&#39;) {
<a name="line555"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line556"></a>}
<a name="line557"></a>if (goog.LOCALE == &#39;sk&#39;) {
<a name="line558"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line559"></a>}
<a name="line560"></a>if (goog.LOCALE == &#39;sl&#39;) {
<a name="line561"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line562"></a>}
<a name="line563"></a>if (goog.LOCALE == &#39;sq&#39;) {
<a name="line564"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line565"></a>}
<a name="line566"></a>if (goog.LOCALE == &#39;sr&#39;) {
<a name="line567"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line568"></a>}
<a name="line569"></a>if (goog.LOCALE == &#39;sv&#39;) {
<a name="line570"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.svSelect_;
<a name="line571"></a>}
<a name="line572"></a>if (goog.LOCALE == &#39;sw&#39;) {
<a name="line573"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line574"></a>}
<a name="line575"></a>if (goog.LOCALE == &#39;ta&#39;) {
<a name="line576"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line577"></a>}
<a name="line578"></a>if (goog.LOCALE == &#39;te&#39;) {
<a name="line579"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line580"></a>}
<a name="line581"></a>if (goog.LOCALE == &#39;th&#39;) {
<a name="line582"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line583"></a>}
<a name="line584"></a>if (goog.LOCALE == &#39;tl&#39;) {
<a name="line585"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line586"></a>}
<a name="line587"></a>if (goog.LOCALE == &#39;tr&#39;) {
<a name="line588"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line589"></a>}
<a name="line590"></a>if (goog.LOCALE == &#39;uk&#39;) {
<a name="line591"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line592"></a>}
<a name="line593"></a>if (goog.LOCALE == &#39;ur&#39;) {
<a name="line594"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line595"></a>}
<a name="line596"></a>if (goog.LOCALE == &#39;uz&#39;) {
<a name="line597"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line598"></a>}
<a name="line599"></a>if (goog.LOCALE == &#39;vi&#39;) {
<a name="line600"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.frSelect_;
<a name="line601"></a>}
<a name="line602"></a>if (goog.LOCALE == &#39;zh&#39;) {
<a name="line603"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line604"></a>}
<a name="line605"></a>if (goog.LOCALE == &#39;zh_CN&#39; || goog.LOCALE == &#39;zh-CN&#39;) {
<a name="line606"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line607"></a>}
<a name="line608"></a>if (goog.LOCALE == &#39;zh_HK&#39; || goog.LOCALE == &#39;zh-HK&#39;) {
<a name="line609"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line610"></a>}
<a name="line611"></a>if (goog.LOCALE == &#39;zh_TW&#39; || goog.LOCALE == &#39;zh-TW&#39;) {
<a name="line612"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.defaultSelect_;
<a name="line613"></a>}
<a name="line614"></a>if (goog.LOCALE == &#39;zu&#39;) {
<a name="line615"></a>  goog.i18n.ordinalRules.select = goog.i18n.ordinalRules.zuSelect_;
<a name="line616"></a>}
</pre>


</body>
</html>
